Incantory
Sign in

Users API

1 operation. Authentication, errors and pagination work as described in the REST API overview.

A public profile

GET/api/v1/users/{handle}Token optional

A renamed handle answers 301 to the new path.

getUser parameters
NameTypeDescription
handle pathrequiredstringUser handle (with or without @)

Responses: 200 OK301, 400, 404, 429

Response fields
getUser response fields
NameTypeDescription
idrequiredstring
handlerequiredstring
displayNamerequiredstring | null
biorequiredstring | null
websiteUrlrequiredstring | null
githubLoginrequiredstring | null
avatarUrlrequiredstring | null
rolerequiredstring
urlrequiredstring
createdAtrequiredstring
followerCountrequirednumber
followingCountrequirednumber
promptCountrequirednumber
badgesrequiredobject[]
Example
curl 'https://incantory.ai/api/v1/users/{handle}' \
  -H "Authorization: Bearer $INCANTORY_TOKEN"